### Hierarchy

- unknown
  - IfscBasedAccountPayload

## Index

### Constructors

- constructor

### Methods

- clearImpsAccountPayload
- clearNeftAccountPayload
- clearRtgsAccountPayload
- getAccountNr
- getHolderName
- getIfsc
- getImpsAccountPayload
- getMessageCase
- getNeftAccountPayload
- getRtgsAccountPayload
- hasImpsAccountPayload
- hasNeftAccountPayload
- hasRtgsAccountPayload
- serializeBinary
- setAccountNr
- setHolderName
- setIfsc
- setImpsAccountPayload
- setNeftAccountPayload
- setRtgsAccountPayload
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new IfscBasedAccountPayload(): IfscBasedAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns IfscBasedAccountPayload

## Methods

### clearImpsAccountPayload

- clearImpsAccountPayload(): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5358

  #### Returns IfscBasedAccountPayload

### clearNeftAccountPayload

- clearNeftAccountPayload(): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5348

  #### Returns IfscBasedAccountPayload

### clearRtgsAccountPayload

- clearRtgsAccountPayload(): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5353

  #### Returns IfscBasedAccountPayload

### getAccountNr

- getAccountNr(): string

- - Defined in src/protobuf/pb_pb.d.ts:5339

  #### Returns string

### getHolderName

- getHolderName(): string

- - Defined in src/protobuf/pb_pb.d.ts:5336

  #### Returns string

### getIfsc

- getIfsc(): string

- - Defined in src/protobuf/pb_pb.d.ts:5342

  #### Returns string

### getImpsAccountPayload

- getImpsAccountPayload(): undefined | ImpsAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5355

  #### Returns undefined | ImpsAccountPayload

### getMessageCase

- getMessageCase(): IfscBasedAccountPayload . MessageCase

- - Defined in src/protobuf/pb_pb.d.ts:5360

  #### Returns IfscBasedAccountPayload . MessageCase

### getNeftAccountPayload

- getNeftAccountPayload(): undefined | NeftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5345

  #### Returns undefined | NeftAccountPayload

### getRtgsAccountPayload

- getRtgsAccountPayload(): undefined | RtgsAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5350

  #### Returns undefined | RtgsAccountPayload

### hasImpsAccountPayload

- hasImpsAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5357

  #### Returns boolean

### hasNeftAccountPayload

- hasNeftAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5347

  #### Returns boolean

### hasRtgsAccountPayload

- hasRtgsAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:5352

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5362

  #### Returns Uint8Array

### setAccountNr

- setAccountNr(value: string): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5340

  #### Parameters

  - ##### value: string

  #### Returns IfscBasedAccountPayload

### setHolderName

- setHolderName(value: string): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5337

  #### Parameters

  - ##### value: string

  #### Returns IfscBasedAccountPayload

### setIfsc

- setIfsc(value: string): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5343

  #### Parameters

  - ##### value: string

  #### Returns IfscBasedAccountPayload

### setImpsAccountPayload

- setImpsAccountPayload(value?: ImpsAccountPayload ): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5356

  #### Parameters

  - ##### Optional value: ImpsAccountPayload

  #### Returns IfscBasedAccountPayload

### setNeftAccountPayload

- setNeftAccountPayload(value?: NeftAccountPayload ): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5346

  #### Parameters

  - ##### Optional value: NeftAccountPayload

  #### Returns IfscBasedAccountPayload

### setRtgsAccountPayload

- setRtgsAccountPayload(value?: RtgsAccountPayload ): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5351

  #### Parameters

  - ##### Optional value: RtgsAccountPayload

  #### Returns IfscBasedAccountPayload

### toObject

- toObject(includeInstance?: boolean): IfscBasedAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5363

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns IfscBasedAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5366

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns IfscBasedAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: IfscBasedAccountPayload, reader: BinaryReader): IfscBasedAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5367

  #### Parameters

  - ##### message: IfscBasedAccountPayload

  - ##### reader: BinaryReader

  #### Returns IfscBasedAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: IfscBasedAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5365

  #### Parameters

  - ##### message: IfscBasedAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: IfscBasedAccountPayload ): IfscBasedAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5364

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: IfscBasedAccountPayload

  #### Returns IfscBasedAccountPayload . AsObject

Generated using TypeDoc